Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class SecurityConstants

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.security.SecurityConstants

public class SecurityConstants
extends Object

Defines constants used in this package

Field Summary
`static String` | `ENCRYPTION_PROPERTY_NAME`
`static String` | `KEY_BIT_SIZE_PROPERTY_NAME`
`static String` | `NOT_SO_SECURE_SECURITY`
`static String` | `PRIVATE_KEY_COLUMN_PROPERTY_NAME`
`static String` | `PUBLIC_KEY_COLUMN_PROPERTY_NAME`
`static String` | `SECURITY_TABLE_BACKUP_PROPERTY_NAME`
`static String` | `SECURITY_TABLE_PROPERTY_NAME`

Constructor Summary
`SecurityConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTION_PROPERTY_NAME

    public static final String ENCRYPTION_PROPERTY_NAME

See Also:
  Constant Field Values

### SECURITY_TABLE_PROPERTY_NAME

    public static final String SECURITY_TABLE_PROPERTY_NAME

See Also:
  Constant Field Values

### SECURITY_TABLE_BACKUP_PROPERTY_NAME

    public static final String SECURITY_TABLE_BACKUP_PROPERTY_NAME

See Also:
  Constant Field Values

### PUBLIC_KEY_COLUMN_PROPERTY_NAME

    public static final String PUBLIC_KEY_COLUMN_PROPERTY_NAME

See Also:
  Constant Field Values

### PRIVATE_KEY_COLUMN_PROPERTY_NAME

    public static final String PRIVATE_KEY_COLUMN_PROPERTY_NAME

See Also:
  Constant Field Values

### KEY_BIT_SIZE_PROPERTY_NAME

    public static final String KEY_BIT_SIZE_PROPERTY_NAME

See Also:
  Constant Field Values

### NOT_SO_SECURE_SECURITY

    public static final String NOT_SO_SECURE_SECURITY

See Also:
  Constant Field Values

Constructor Detail

### SecurityConstants

    public SecurityConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved